HomeTokenhotAPI Document
Tools
language
language
  • 中文
  • English
HomeTokenhotAPI Document
Tools
language
language
  • 中文
  • English
  1. Gemini
  • OpenAI-Compatible Format — Unified LLM API Documentation
  • Online Video Experience Hub
  • Quick Start
  • Image Models
    • DOUBAO
      • doubao-seedream-4-0-250828
      • doubao-seedream-4-5-251128
      • doubao-seedream-5-0-260128
      • doubao-seedream-4-0-250828 (image editing)
      • doubao-seedream-4-5-251128 (Picture editing)
      • doubao-seedream-5-0-260128 (image editing)
    • GPT
      • GPT Image-1.5
      • GPT Image-1.5 (image editing)
      • GPT Image-2
      • GPT Image-2 (image editing)
    • Gemini
      • gemini-3-pro-image-preview
      • gemini-3-pro-image-preview (image editing)
      • gemini-2.5-flash-image
      • gemini-2.5-flash-image (image editing)
      • gemini-3.1-flash-image-preview
      • gemini-3.1-flash-image-preview (image editing)
    • Dall
      • dall-e-2
      • dall-e-3
    • Wan
      • wan2.6-image (image editing)
      • wan2.6-image
    • Qwen
      • qwen-image-edit-max-2026-01-16
      • qwen-image-max
      • qwen-image-plus-2026-01-09
  • Video Models
    • DOUBAO
      • doubao-seedance-2-0-260128
      • doubao-seedance-2.0 (Get video task information)
      • doubao-seedance-2.0-V2V (Get video task information)
      • doubao-seedance-2.0-fast (get video task information)
      • doubao-seedance-2.0-fast-V2V (Get video task information)
      • doubao-seedance-2.0
      • doubao-seedance-2.0-V2V
      • doubao-seedance-2.0-fast
      • doubao-seedance-2.0-fast-V2V
      • doubao-seedance-1-5-pro-251215
      • doubao-seedance-1-5-pro-251215 (Get video task information)
    • Sora
      • Sora-2
      • Sora-2 (Get Video Task Status)
      • Sora-2 (Get Video Content)
    • MiniMax
      • MiniMax-Hailuo-02
      • MiniMax-Hailuo-2.3
      • MiniMax-Hailuo-2.3-Fast
      • Hailuo Get Video Info
    • HappyHorse
      • happyhorse-1.0-i2v
      • happyhorse-1.0-r2v
      • happyhorse-1.0-t2v
      • happyhorse-1.0-video-edit
      • HappyHorse Get Video Info
  • Chat Models
    • Claude
      • claude-sonnet-4-5-20250929
      • claude-opus-4-6
      • claude-opus-4-6-cc
    • GPT
      • GPT 5
      • GPT 5(Responses)
      • GPT 5.2
      • GPT 5.2(Responses)
      • GPT 5.4
      • GPT 5.4(Responses)
    • Gemini
      • gemini-2.5-flash
        POST
      • gemini-2.5-pro
        POST
      • gemini-3-flash-preview
        POST
      • gemini-3.1-pro
        POST
      • gemini-3.1-pro-preview
        POST
      • gemini-3.1-pro-preview (streaming)
        POST
    • Grok
      • grok-4.1
  • Audio Models
    • Gemini
      • gemini-2.5-flash-preview-tts
      • gemini-2.5-pro-preview-tts
    • Whisper
      • whisper-1 (audio translation)
      • whisper-1 (Audio to Chinese)
  • Serve
    • Terms of Service
    • Privacy agreement
  1. Gemini

gemini-3.1-pro-preview (streaming)

POST
https://api.tokenhot.ai/v1beta/models/{model}:streamGenerateContent
Actual API Endpoint: POST https://api.tokenhot.ai/v1beta/models/{model}:streamGenerateContent?alt=sse
Model Code: gemini-3.1-pro-preview

Request

Authorization
or
Path Params

Query Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Request successful
Bodyapplication/json

🟠400
🟠401
🔴503
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.tokenhot.ai/v1beta/models/gemini-3.1-pro-preview:streamGenerateContent?alt=sse%2Fgemini-3-1-pro-preview' \
--header 'Content-Type: application/json' \
--data '{
    "system_instruction": {
        "parts": [
            {
                "text": "You are my assistant, your name is Xiao Jiang."
            }
        ]
    },
    "contents": [
        {
            "role": "user",
            "parts": [
                {
                    "text": "My name is Xiao Ming."
                }
            ]
        },
        {
            "role": "model",
            "parts": [
                {
                    "text": "Hello, Ming! I'\''m Jiang Xiao, nice to meet you. Is there anything I can do for you?"
                }
            ]
        },
        {
            "role": "user",
            "parts": [
                {
                    "text": "Remember my name?"
                }
            ]
        }
    ]
}'
Response Response Example
200 - 成功示例
{
    "candidates": [
        {
            "content": {
                "role": "string",
                "parts": [
                    {}
                ]
            },
            "finishReason": "string",
            "safetyRatings": [
                {}
            ]
        }
    ],
    "usageMetadata": {
        "promptTokenCount": 0,
        "candidatesTokenCount": 0,
        "totalTokenCount": 0
    }
}
Modified at 2026-05-29 02:58:01
Previous
gemini-3.1-pro-preview
Next
grok-4.1
Built with